# Constructor

TODO: ADD MORE

- student needs to know how to build an object using its constructor [binary-search-tree](../exercise-concepts/binary-search-tree.md)
- customizing object initalization with actions and persisting data. The example uses a constructor to process the passed in data into a list of lists assigned to an instance property [matrix](../exercise-concepts/matrix.md)
